<?php
/*
 * Copyright(c) 2015 PAYDESIGN, Inc. All rights reserved.
 * http://www.paydesign.co.jp/
 */

namespace Plugin\PayDesign\Entity;

/**
 * Information about order information about PayDesign Plugin
 */
class PayDesignOrderInfo extends \Eccube\Entity\AbstractEntity {

    /**
     * @var integer
     */
    private $id;

    /**
     * @var integer
     */
    private $order_id;

    /**
     * @var string
     */
    private $sid;

    /**
     * @var integer
     */
    private $order_kind;

    /**
     * @var integer
     */
    private $credit_uid_card_select_flg;

    /**
     * @var integer
     */
    private $select_convenience_kind;

    /**
     * @var integer
     */
    private $check_count;

    /**
     * @var integer
     */
    private $result_seq;

    /**
     * @var integer
     */
    private $result_date;

    /**
     * @var integer
     */
    private $result_time;

    /**
     * @var integer
     */
    private $result_ip;

    /**
     * @var integer/decimal
     */
    private $result_kingaku;

    /**
     * @var string
     */
    private $result_cvs;

    /**
     * @var string
     */
    private $result_scode;

    /**
     * @var string
     */
    private $result_shonin;

    /**
     * @var string
     */
    private $result_hishimuke;

    /**
     * @var string
     */
    private $result_fuka;

    /**
     * @var integer
     */
    private $result_paymode;

    /**
     * @var integer
     */
    private $result_incount;

    /**
     * @var string
     */
    private $result_ip_user_id;

    /**
     * @var string
     */
    private $result_conv_payment_info;

    /**
     * @var string
     */
    private $result_conv_payment_limit;

    /**
     * @var string
     */
    private $result_conv_confirm_url;

    /**
     * @var \DateTime
     */
    private $result_receive_date;

    /**
     * Constructor
     */
    public function __construct()
    {
    }

    /**
     * Set id (order_info_id)
     *
     * @param  integer $id
     * @return Module
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id (order_info_id)
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set order_id
     *
     * @param  integer $order_id
     * @return Module
     */
    public function setOrderId($order_id)
    {
        $this->order_id = $order_id;

        return $this;
    }

    /**
     * Get order_id
     *
     * @return integer
     */
    public function getOrderId()
    {
        return $this->order_id;
    }

    /**
     * Set sid
     *
     * @param  string $sid
     * @return Module
     */
    public function setSid($sid)
    {
        $this->sid = $sid;

        return $this;
    }

    /**
     * Get sid
     *
     * @return string
     */
    public function getSid()
    {
        return $this->sid;
    }

    /**
     * Set order_kind
     *
     * @param  integer $order_kind
     * @return Module
     */
    public function setOrderKind($order_kind)
    {
        $this->order_kind = $order_kind;

        return $this;
    }

    /**
     * Get order_kind
     *
     * @return integer
     */
    public function getOrderKind()
    {
        return $this->order_kind;
    }

    /**
     * Set credit_uid_card_select_flg
     *
     * @param  integer $creditUidCardSelectFlg
     * @return Module
     */
    public function setCreditUidCardSelectFlg($creditUidCardSelectFlg)
    {
        $this->credit_uid_card_select_flg = $creditUidCardSelectFlg;

        return $this;
    }

    /**
     * Get credit_uid_card_select_flg
     *
     * @return integer
     */
    public function getCreditUidCardSelectFlg()
    {
        return $this->credit_uid_card_select_flg;
    }

    /**
     * Set select_convenience_kind
     *
     * @param  integer $select_convenience_kind
     * @return Module
     */
    public function setSelectConvenienceKind($select_convenience_kind)
    {
        $this->select_convenience_kind = $select_convenience_kind;

        return $this;
    }

    /**
     * Get select_convenience_kind
     *
     * @return integer
     */
    public function getSelectConvenienceKind()
    {
        return $this->select_convenience_kind;
    }

    /**
     * Set check_count
     *
     * @param  integer $check_count
     * @return Module
     */
    public function setCheckCount($check_count)
    {
        $this->check_count = $check_count;

        return $this;
    }

    /**
     * Get check_count
     *
     * @return integer
     */
    public function getCheckCount()
    {
        return $this->check_count;
    }

    /**
     * Set result_seq
     *
     * @param  integer $result_seq
     * @return Module
     */
    public function setResultSeq($result_seq)
    {
        $this->result_seq = $result_seq;

        return $this;
    }

    /**
     * Get result_seq
     *
     * @return integer
     */
    public function getResultSeq()
    {
        return $this->result_seq;
    }

    /**
     * Set result_date
     *
     * @param  integer $result_date
     * @return Module
     */
    public function setResultDate($result_date)
    {
        $this->result_date = $result_date;

        return $this;
    }

    /**
     * Get result_date
     *
     * @return integer
     */
    public function getResultDate()
    {
        return $this->result_date;
    }

    /**
     * Set result_time
     *
     * @param  integer $result_time
     * @return Module
     */
    public function setResultTime($result_time)
    {
        $this->result_time = $result_time;

        return $this;
    }

    /**
     * Get result_time
     *
     * @return integer
     */
    public function getResultTime()
    {
        return $this->result_time;
    }

    /**
     * Set result_ip
     *
     * @param  integer $result_ip
     * @return Module
     */
    public function setResultIp($result_ip)
    {
        $this->result_ip = $result_ip;

        return $this;
    }

    /**
     * Get result_ip
     *
     * @return integer
     */
    public function getResultIp()
    {
        return $this->result_ip;
    }

    /**
     * Set result_kingaku
     *
     * @param  integer/decimal $result_kingaku
     * @return Module
     */
    public function setResultKingaku($result_kingaku)
    {
        $this->result_kingaku = $result_kingaku;

        return $this;
    }

    /**
     * Get result_kingaku
     *
     * @return integer
     */
    public function getResultKingaku()
    {
        return $this->result_kingaku;
    }

    /**
     * Set result_cvs
     *
     * @param  string $result_cvs
     * @return Module
     */
    public function setResultCvs($result_cvs)
    {
        $this->result_cvs = $result_cvs;

        return $this;
    }

    /**
     * Get result_cvs
     *
     * @return string
     */
    public function getResultCvs()
    {
        return $this->result_cvs;
    }

    /**
     * Set result_scode
     *
     * @param  string $result_scode
     * @return Module
     */
    public function setResultScode($result_scode)
    {
        $this->result_scode = $result_scode;

        return $this;
    }

    /**
     * Get result_scode
     *
     * @return string
     */
    public function getResultScode()
    {
        return $this->result_scode;
    }

    /**
     * Set result_shonin
     *
     * @param  string $result_shonin
     * @return Module
     */
    public function setResultShonin($result_shonin)
    {
        $this->result_shonin = $result_shonin;

        return $this;
    }

    /**
     * Get result_shonin
     *
     * @return string
     */
    public function getResultShonin()
    {
        return $this->result_shonin;
    }

    /**
     * Set result_hishimuke
     *
     * @param  string $result_hishimuke
     * @return Module
     */
    public function setResultHishimuke($result_hishimuke)
    {
        $this->result_hishimuke = $result_hishimuke;

        return $this;
    }

    /**
     * Get result_hishimuke
     *
     * @return string
     */
    public function getResultHishimuke()
    {
        return $this->result_hishimuke;
    }

    /**
     * Set result_fuka
     *
     * @param  string $result_fuka
     * @return Module
     */
    public function setResultFuka($result_fuka)
    {
        $this->result_fuka = $result_fuka;

        return $this;
    }

    /**
     * Get result_fuka
     *
     * @return string
     */
    public function getResultFuka()
    {
        return $this->result_fuka;
    }

    /**
     * Set result_paymode
     *
     * @param  integer $result_paymode
     * @return Module
     */
    public function setResultPaymode($result_paymode)
    {
        $this->result_paymode = $result_paymode;

        return $this;
    }

    /**
     * Get result_paymode
     *
     * @return integer
     */
    public function getResultPaymode()
    {
        return $this->result_paymode;
    }

    /**
     * Set result_incount
     *
     * @param  integer $result_incount
     * @return Module
     */
    public function setResultIncount($result_incount)
    {
        $this->result_incount = $result_incount;

        return $this;
    }

    /**
     * Get result_incount
     *
     * @return integer
     */
    public function getResultIncount()
    {
        return $this->result_incount;
    }

    /**
     * Set result_ip_user_id
     *
     * @param  string $result_ip_user_id
     * @return Module
     */
    public function setResultIpUserId($result_ip_user_id)
    {
        $this->result_ip_user_id = $result_ip_user_id;

        return $this;
    }

    /**
     * Get result_ip_user_id
     *
     * @return string
     */
    public function getResultIpUserId()
    {
        return $this->result_ip_user_id;
    }

    /**
     * Set result_conv_payment_info
     *
     * @param  string $result_conv_payment_info
     * @return Module
     */
    public function setResultConvPaymentInfo($result_conv_payment_info)
    {
        $this->result_conv_payment_info = $result_conv_payment_info;

        return $this;
    }

    /**
     * Get result_conv_payment_info
     *
     * @return string
     */
    public function getResultConvPaymentInfo()
    {
        return $this->result_conv_payment_info;
    }

    /**
     * Set result_conv_payment_limit
     *
     * @param  string $result_conv_payment_limit
     * @return Module
     */
    public function setResultConvPaymentLimit($result_conv_payment_limit)
    {
        $this->result_conv_payment_limit = $result_conv_payment_limit;

        return $this;
    }

    /**
     * Get result_conv_payment_limit
     *
     * @return string
     */
    public function getResultConvPaymentLimit()
    {
        return $this->result_conv_payment_limit;
    }

    /**
     * Set result_conv_confirm_url
     *
     * @param  string $result_conv_confirm_url
     * @return Module
     */
    public function setResultConvConfirmUrl($result_conv_confirm_url)
    {
        $this->result_conv_confirm_url = $result_conv_confirm_url;

        return $this;
    }

    /**
     * Get result_conv_confirm_url
     *
     * @return string
     */
    public function getResultConvConfirmUrl()
    {
        return $this->result_conv_confirm_url;
    }

    /**
     * Set result_receive_date
     *
     * @param  \DateTime $result_receive_date
     * @return Module
     */
    public function setResultReceiveDate($result_receive_date)
    {
        $this->result_receive_date = $result_receive_date;

        return $this;
    }

    /**
     * Get result_receive_date
     *
     * @return \DateTime
     */
    public function getResultReceiveDate()
    {
        return $this->result_receive_date;
    }
}
?>
